#!/bin/bash

kvm=(
	qemu-system-x86_64 -cpu kvm64 -enable-kvm
	-kernel $1
	-initrd /kernel-tests/initrd/yocto-minimal-i386.cgz
	# -initrd /kernel-tests/initrd/quantal-core-i386.cgz
	# -initrd /kernel-tests/initrd/quantal-core-x86_64.cgz
	-smp 2
	-m 256M
	-net nic,vlan=0,macaddr=00:00:00:00:00:00,model=virtio
	-net user,vlan=0
	-net nic,vlan=1,model=e1000
	-net user,vlan=1
	-boot order=nc
	-no-reboot
	-watchdog i6300esb
	-serial stdio
	-display none
	-monitor null
)

append=(
	debug
	sched_debug
	ignore_loglevel
	apic=debug
	dyndbg=\"func kobject_release +p\"
	sysrq_always_enabled
	panic=10
	prompt_ramdisk=0
	console=ttyS0,115200
	console=tty0
	vga=normal
	root=/dev/ram0
	rw
)

"${kvm[@]}" --append "${append[*]}"
